FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sLoad Struct Reference
Data types

Parameter structure to load an archive. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acListDataSet [F4S_DSNAMELEN]
| Name of the list dataset. More...
C08 | acAnzDsNames [5]
| Number of FLAMFILES contained in / read from the list dataset. More...
C08 | acDdnSig [F4S_DDNAMELEN]
| DDNAME for the signature file. More...
C08 | acDdnTra [F4S_DDNAMELEN]
| DDNAME for the transaction file. More...
C08 | acDdnXmlI [F4S_DDNAMELEN]
| DDNAME for the SEPA XML inbound file. More...
C08 | acDdnXmlO [F4S_DDNAMELEN]
| DDNAME for the SEPA XML outbound file. More...
C08 | acRc [F4S_RCLEN]
| Return code. More...
C08 | acErrorText [F4S_ERRTXTLEN]
| Error text. More...

## Detailed Description

Parameter structure to load an archive.

Defines the dataset with a list of DSNs for FLAMFILEs containing the load records. The dataset must contain a FLAMFILE name or a comment per record. A comment starts with a star '*' in the first column. All other lines are interpreted as data set name. The maximum supported record length is 128. You can provide FB or VB (max 124 character) data sets.

The number of datasets read from the list dataset can be limited. An error will occur at the end (anything was done) if the amount of datasets was not read. There could be more datasets in the list file than defined via AnzDsNames. If the amount is 0, then all dataset names are read from the list dataset.

The archive consists of 4 FLAMFILEs. For each FLAMFILE, the DD name must be provided. It is the responsibility of the user to allocated these datasets correctly depending on the used version.

The function returns a two digit return code ("12") and an error text. If the return code was initialized with "02", then appending to the archive is activated. If the error text is initialized with LOGx (x=1/2/3), a log is written to SYSOUT with the requested depth.

If the function was successful, the return code is "00" and statistics are written as error text. In all other cases, the function return "12" and an error message.

# The data structure in Cobol

     01  LG-PARMS.
     05  LG-PARMS-IN.
       10  LG-INPUT-DATA.
           15  LIST-DATASET      PIC X(44)
                  VALUE "FLAM.F4S21.DATEI.LISTE1".
           15  ANZ-DS-NAMES      PIC 9(05) VALUE 4.
       10  LG-OUTPUT-DATA.
           15  DDN-SIG           PIC X(8)  VALUE "DDSIG".
           15  DDN-TRA           PIC X(8)  VALUE "DDTRA".
           15  DDN-XLM           PIC X(8)  VALUE "DDXML1".
           15  DDN-XLM           PIC X(8)  VALUE "DDXML2".
     05  LG-PARMS-OUT.
        10 LN-RC                 PIC 9(02).
           88  RCOK              VALUE ZERO.
           88  RCNOK             VALUE 12.
        10 ERROR-TEXT            PIC X(80).

## Field Documentation

## ◆ acListDataSet

C08 F4sLoad::acListDataSet[F4S_DSNAMELEN]

Name of the list dataset.

## ◆ acAnzDsNames

C08 F4sLoad::acAnzDsNames[5]

Number of FLAMFILES contained in / read from the list dataset.

## ◆ acDdnSig

C08 F4sLoad::acDdnSig[F4S_DDNAMELEN]

DDNAME for the signature file.

## ◆ acDdnTra

C08 F4sLoad::acDdnTra[F4S_DDNAMELEN]

DDNAME for the transaction file.

## ◆ acDdnXmlI

C08 F4sLoad::acDdnXmlI[F4S_DDNAMELEN]

DDNAME for the SEPA XML inbound file.

## ◆ acDdnXmlO

C08 F4sLoad::acDdnXmlO[F4S_DDNAMELEN]

DDNAME for the SEPA XML outbound file.

## ◆ acRc

C08 F4sLoad::acRc[F4S_RCLEN]

Return code.

## ◆ acErrorText

C08 F4sLoad::acErrorText[F4S_ERRTXTLEN]

Error text.

The documentation for this struct was generated from the following file:

- FL4SEPA.h